#!/sbin/sh

install1()
	{	
			echo "____________________________________________"
			echo "Skript by -FuFu-"
			echo "Install DarkBlue Theme"
			echo "www.android-hilfe.de"
			echo "____________________________________________"
		if [ ! -f "/sdcard/darkblue/backup/done" ];
		then
			echo "erstelle backup..."
			cp /system/app/* /sdcard/darkblue/backup/system/app/
			cp /system/framework/framework-res.apk /sdcard/darkblue/backup/system/framework/
			cp /system/framework/services.jar /sdcard/darkblue/backup/system/framework/
			cp /system/fonts/*.ttf /sdcard/darkblue/backup/system/fonts/
			cp /sdcard/darkblue/system/done /sdcard/darkblue/backup/
			echo "backup abgeschlossen..."
			sleep 2
			echo "starte installation..."
			cp -f /sdcard/darkblue/system/app/* /system/app/
			chmod 644 /system/app/*
			cp -f /sdcard/darkblue/system/framework/services.jar /system/framework/services.jar
			chmod 644 /system/framework/services.jar
			cp -f /sdcard/darkblue/system/framework/framework-res.apk /system/framework/framework-res.apk
			chmod 644 /system/framework/framework-res.apk
			cp -f /sdcard/darkblue/system/fonts/* /system/fonts/
			chmod 644 /system/fonts/*
			echo "leere cache..."
			rm -rf /data/dalvik-cache/*
			sleep 2
			echo "Cache geleert..."
			sleep 2
			echo "Installation abgeschlossen..."
		else
			echo "Theme bereits installiert...."
			sleep 1
			echo "um fehler zu vermeiden wurde die installation abgebrochen"
			sleep 2
		fi
			echo "Geraet kann nun neugestartet werden"
			sleep 2
			quit
	}
	
	install2()
	{	
			echo "____________________________________________"
			echo "Skript by -FuFu-"
			echo "Install DarkBlue Theme"
			echo "ohne backup"
			echo "www.android-hilfe.de"
			echo "____________________________________________"
			sleep 2
			echo "starte installation..."
			cp -f /sdcard/darkblue/system/app/* /system/app/
			chmod 644 /system/app/*
			cp -f /sdcard/darkblue/system/framework/services.jar /system/framework/services.jar
			chmod 644 /system/framework/services.jar
			cp -f /sdcard/darkblue/system/framework/framework-res.apk /system/framework/framework-res.apk
			chmod 644 /system/framework/framework-res.apk
			cp -f /sdcard/darkblue/system/fonts/* /system/fonts/
			chmod 644 /system/fonts/*
			echo "leere cache..."
			rm -rf /data/dalvik-cache/*
			sleep 2
			echo "Cache geleert..."
			sleep 2
			echo "Installation abgeschlossen..."
			echo "Geraet kann nun neugestartet werden"
			sleep 2
			quit
	}

restore1()
	{
			echo "____________________________________________"
			echo "Skript by -FuFu-"
			echo "Restore Systemdefaults"
			echo "www.android-hilfe.de"
			echo "____________________________________________"
		if [ -f "/sdcard/darkblue/backup/done" ];
		then
			echo "starte wiederherstellung..."
			cp -f /sdcard/darkblue/backup/system/app/* /system/app/
			chmod 644 /system/app/*
			cp -f /sdcard/darkblue/backup/system/framework/services.jar /system/framework/services.jar
			chmod 644 /system/framework/services.jar
			cp -f /sdcard/darkblue/backup/system/framework/framework-res.apk /system/framework/framework-res.apk
			chmod 644 /system/framework/framework-res.apk
			cp -f /sdcard/darkblue/backup/system/fonts/* /system/fonts/
			chmod 644 /system/fonts/*
			rm /sdcard/darkblue/backup/done
			echo "leere cache..."
			rm -rf /data/dalvik-cache/*
			sleep 2
			echo "Cache geleert..."
			sleep 2
			echo "Wiederherstellung abgeschlossen..."
		else
			echo "Theme ist nicht installiert...."
			sleep 1
			echo "ein restore ist daher nicht mglich"
			sleep 2
		fi
			echo "Geraet kann nun neugestartet werden"
			sleep 2
			quit
	}

upgrade1()
	{	
			echo "____________________________________________"
			echo "Skript by -FuFu-"
			echo "Upgrade DarkBlue Theme"
			echo "www.android-hilfe.de"
			echo "____________________________________________"
			sleep 2
			echo "starte upgrade..."
			cp -f /sdcard/darkblue/system/framework/services.jar /system/framework/services.jar
			chmod 644 /system/framework/services.jar
			cp -f /sdcard/darkblue/system/framework/framework-res.apk /system/framework/framework-res.apk
			chmod 644 /system/framework/framework-res.apk
			cp -f /sdcard/darkblue/system/fonts/* /system/fonts/
			chmod 644 /system/fonts/*
			sleep 2
			echo "Upgrade abgeschlossen..."
			echo "Geraet kann nun neugestartet werden"
			sleep 2
			quit
	}
	
	
menu1()
	{

	#normale Installation
	install1
	
	#deinstalation
	#restore1
	
	#Installation ohne backup
	#install2
	
	#Theme ohne angepasste apps
	#upgrade1
	}

quit()
	{
	echo "Script wird beendet"
	sync
	sleep 1
	umount /system
	umount /data	
	exit 0
	}
	
	
mount /system
mount /data


	echo ""
	echo ""
	echo "========================================================="
	echo "Willkommen beim Install-Script vom DarkBlue Theme"
	echo "Version: 1.0"
	echo "Script bei -FuFu-"
	echo "========================================================="
	echo ""
	sleep 2
	menu1


sync
sleep 1
umount /system
umount /data	
exit 0